Sandia National Laboratories

# model_pointer

Identifier for model block to be used by a method

Topics

block_pointer

Specification

- Alias: None

- Arguments: STRING

- Default: method use of last model parsed (or use of default model if none parsed)

Description

The `model_pointer` is used to specify which `model` block will be used to perform the function evaluations needed by the Dakota method.

Default Behavior

If not specified, a Dakota method will use the last model block parsed. If specified, there must be a `model` block in the Dakota input file that has a corresponding `id_model` with the same name.

Usage Tips

When doing advanced analyses that involve using multiple methods and multiple models, defining a `model_pointer` for each method is imperative.

See Pointers for details about pointers.

Examples

    environment
      tabular_data
      method_pointer = 'UQ'

    method
      id_method = 'UQ'
      model_pointer = 'SURR'
      sampling,
        samples = 10
        seed = 98765 rng rnum2
        response_levels = 0.1 0.2 0.6
                          0.1 0.2 0.6
                                0.1 0.2 0.6
        sample_type lhs
        distribution cumulative

    model
      id_model = 'SURR'
        surrogate global,
        dace_method_pointer = 'DACE'
        polynomial quadratic

    method
      id_method = 'DACE'
        model_pointer = 'DACE_M'
        sampling sample_type lhs
        samples = 121 seed = 5034 rng rnum2

    model
      id_model = 'DACE_M'
      single
      interface_pointer = 'I1'

    variables
      uniform_uncertain = 2
        lower_bounds =  0.   0.
        upper_bounds =  1.   1.
        descriptors  = 'x1' 'x2'

    interface
      id_interface = 'I1'
      system asynch evaluation_concurrency = 5
        analysis_driver = 'text_book'

    responses
      response_functions = 3
      no_gradients
      no_hessians

## Exceptional service in the national interest

© 2023 National Technology and Engineering Solutions of Sandia, LLC. | Questions & Comments | Privacy & Security

Sandia National Laboratories is a multimission laboratory managed and operated by National Technology and Engineering Solutions of Sandia, LLC., a wholly owned subsidiary of Honeywell International, Inc., for the U.S. Department of Energy’s National Nuclear Security Administration under contract DE-NA-0003525.